Add address

Add a new shipping or check-deposit address to your account

Authentication

AuthorizationBearer

Your API key, sent as Authorization: Bearer usgmk_live_… in production or usgmk_test_… in the sandbox.

Request

This endpoint expects an object.
typeenumRequired

shipping = a shipment destination; deposit = where check deposits are sent.

namestringRequired1-255 characters
line1stringRequired1-255 characters
citystringRequired1-255 characters
statestringRequired1-255 characters
postal_codestringRequired1-32 characters
countrystringRequired1-255 characters
phone_numberstringRequired1-32 characters
line2stringOptional<=255 characters
line3stringOptional<=255 characters
tax_idstringOptional<=64 characters

Response

idstring

Address id (UUID).

typeenum

shipping = a shipment destination; deposit = where check deposits are sent.

is_defaultboolean

The default address of its type — one per type.

namestring or nullOptional
Recipient name on the address.
line1string or nullOptional
line2string or nullOptional
citystring or nullOptional
statestring or nullOptional
postal_codestring or nullOptional
countrystring or nullOptional
line3string or nullOptional
phone_numberstring or nullOptional
tax_idstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error